curl -X GET https://app.trypost.it/api/labels \
-H "Authorization: Bearer tp_your_api_key"
{
"data": [
{
"id": "c3d4e5f6-a7b8-9c0d-1e2f-3a4b5c6d7e8f",
"name": "Product Launch",
"color": "#4f46e5",
"created_at": "2025-01-10 08:00:00",
"updated_at": "2025-01-10 08:00:00"
},
{
"id": "f6a7b8c9-d0e1-2f3a-4b5c-6d7e8f9a0b1c",
"name": "Urgent",
"color": "#ef4444",
"created_at": "2025-01-12 14:00:00",
"updated_at": "2025-01-12 14:00:00"
}
]
}
List all labels for the current workspace.
curl -X GET https://app.trypost.it/api/labels \
-H "Authorization: Bearer tp_your_api_key"
{
"data": [
{
"id": "c3d4e5f6-a7b8-9c0d-1e2f-3a4b5c6d7e8f",
"name": "Product Launch",
"color": "#4f46e5",
"created_at": "2025-01-10 08:00:00",
"updated_at": "2025-01-10 08:00:00"
},
{
"id": "f6a7b8c9-d0e1-2f3a-4b5c-6d7e8f9a0b1c",
"name": "Urgent",
"color": "#ef4444",
"created_at": "2025-01-12 14:00:00",
"updated_at": "2025-01-12 14:00:00"
}
]
}
curl -X GET https://app.trypost.it/api/labels \
-H "Authorization: Bearer tp_your_api_key"
{
"data": [
{
"id": "c3d4e5f6-a7b8-9c0d-1e2f-3a4b5c6d7e8f",
"name": "Product Launch",
"color": "#4f46e5",
"created_at": "2025-01-10 08:00:00",
"updated_at": "2025-01-10 08:00:00"
},
{
"id": "f6a7b8c9-d0e1-2f3a-4b5c-6d7e8f9a0b1c",
"name": "Urgent",
"color": "#ef4444",
"created_at": "2025-01-12 14:00:00",
"updated_at": "2025-01-12 14:00:00"
}
]
}